/*
 * bsp.c
 *
 *  Created on: 2020830
 *      Author: Yeguanyong
 */

#include "bsp.h"


/**
*@ Description:ʼPWM5msڣ50%ռձȵķ
* @param .
* @return 
*/
void epwm_setup(void)
{
	InitEPwm2Gpio();				/* ʼEPWM2 */
	EPwm2Regs.TBSTS.all=0;			/* ʱ״̬Ĵ */
	EPwm2Regs.TBPHS.half.TBPHS=0;	/* λĴΪ0 */
	EPwm2Regs.TBCTR=0;				/* ʱ */


	EPwm2Regs.CMPCTL.all=0x50;        // Immediate mode for CMPA and CMPB
	EPwm2Regs.CMPA.half.CMPA =0x5b8d;
	EPwm2Regs.CMPB=0;

	EPwm2Regs.AQCTLA.all=0x60;        // EPWMxA = 1 when CTR=CMPA and counter inc
								  // EPWMxA = 0 when CTR=CMPA and counter dec
	EPwm2Regs.AQCTLB.all=0;
	EPwm2Regs.AQSFRC.all=0;
	EPwm2Regs.AQCSFRC.all=0;

	EPwm2Regs.DBCTL.all=0xb;          // EPWMxB is inverted
	EPwm2Regs.DBRED=0;
	EPwm2Regs.DBFED=0;

	EPwm2Regs.TZSEL.all=0;
	EPwm2Regs.TZCTL.all=0;
	EPwm2Regs.TZEINT.all=0;
	EPwm2Regs.TZFLG.all=0;
	EPwm2Regs.TZCLR.all=0;
	EPwm2Regs.TZFRC.all=0;

	EPwm2Regs.ETSEL.all=0;            // Interrupt when TBCTR = 0x0000
	EPwm2Regs.ETFLG.all=0;
	EPwm2Regs.ETCLR.all=0;
	EPwm2Regs.ETFRC.all=0;

	EPwm2Regs.PCCTL.all=0;

	EPwm2Regs.TBCTL.all=0x0010+0x200e;			// Enable Timer

	//EPwm2Regs.TBCTL.bit.HSPCLKDIV=0x101;       //ʱӷƵ 1Ƶ
	EPwm2Regs.TBCTL.bit.CLKDIV=3;          //ʱʱӷƵ 1Ƶ
	EPwm2Regs.TBPRD=46874;
}


/**
*@ Description:ʼ
* @param .
* @return 
*/
void bsp_init()
{
	InitSysCtrl();
    DINT;           //ֹCPUж
    InitPieCtrl();  //ʼPIE
    IER=0x0000;
    IFR=0x0000;
    InitPieVectTable(); //ʼж

    adc_init();			/* ʼADC */
    bsp_initsci();		/* ʼSCI */

    EINT;   //ȫж
	ERTM;	//ʵʱж
}
/*
*********************************************************************************************************
*	  : bsp_RunPer10ms
*	˵: úÿ10msSystickжϵ1Ρ bsp_timer.cĶʱжϷһЩʱҪϸ
*			Էڴ˺磺ɨ衢пƵȡ
*	    Σ
*	  ֵ: 
*********************************************************************************************************
*/
void bsp_run_per100ms(void)
{
}

