/*
 * bsp.h
 *
 *  Created on: 2020830
 *      Author: Yeguanyong
 */

#ifndef BSP_H_
#define BSP_H_

#ifdef __cplusplus
extern "C" {
#endif



#include <stdio.h>
#include <string.h>

#include "DSP2833x_Device.h"     // Headerfile Include File
#include "DSP2833x_Examples.h"   // Examples Include File

#include "adc.h"
#include "sci_fifo.h"

typedef struct EMIF_FPGA
{
	Uint16 emif_fpga_datavalue[0x2d7];		/* FPGAͨڷ͵ */
}EMIF_FPGA;

enum
{
	COMMON_BIT,
	POWER_ON_BIT,
	MAINTENANCE_BIT,
	POWEROFF_BIT
};

extern EMIF_FPGA emif_fpga_s[13];

extern Uint16 emif_fpga_avr[0x2d7];		/* EMIFƽ */
void bsp_init();
void bsp_run_per100ms(void);

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* BSP_BSP_H_ */
